Permalink
Browse files

CI with the latest stable(GA) version of MariaDB 10.2

- Travis CI is migrating Ubuntu version to Trusty
- MariaDB 10.2 is supported on Ubuntu Trusty

Backport of 400a37d, though it could not be cherry-picked.

Fixes:

```
mysql client is missing. You may need to 'apt-get install libmysqlclient-dev' or
'yum install mysql-devel', and try again.
...
An error occurred while installing mysql2 (0.4.10), and Bundler cannot continue.
Make sure that `gem install mysql2 -v '0.4.10'` succeeds before bundling.
```

Build example: https://travis-ci.org/rails/rails/jobs/314801837#L1214
  • Loading branch information...
eileencodes committed Dec 11, 2017
1 parent 88f0058 commit 14288916a93002edc8b1f5c2fdf6c10d826121a1
Showing with 1 addition and 1 deletion.
  1. +1 −1 .travis.yml
View
@@ -53,7 +53,7 @@ matrix:
env:
- "GEM=ar:mysql2"
addons:
mariadb: 10.0
mariadb: 10.2
- rvm: jruby-9.1.7.0
jdk: oraclejdk8
env:

0 comments on commit 1428891

Please sign in to comment.